Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.ntruprime
Class SNTRUPrimeParameters

    java.lang.Object
      org.bouncycastle.pqc.crypto.ntruprime.SNTRUPrimeParameters

All Implemented Interfaces:
  CipherParameters, KEMParameters

public class SNTRUPrimeParameters
extends java.lang.Object
implements KEMParameters

StreamLined NTRU Prime Parameter Specs

Field Summary
`static SNTRUPrimeParameters` | `sntrup1013`
`static SNTRUPrimeParameters` | `sntrup1277`
`static SNTRUPrimeParameters` | `sntrup653`
`static SNTRUPrimeParameters` | `sntrup761`
`static SNTRUPrimeParameters` | `sntrup857`
`static SNTRUPrimeParameters` | `sntrup953`

Method Summary
`java.lang.String` | `getName()`
`int` | `getP()`
`int` | `getPrivateKeyBytes()`
`int` | `getPublicKeyBytes()`
`int` | `getQ()`
`int` | `getRoundedPolynomialBytes()`
`int` | `getRqPolynomialBytes()`
`int` | `getSessionKeySize()`
`int` | `getW()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sntrup653

    public static final SNTRUPrimeParameters sntrup653

### sntrup761

    public static final SNTRUPrimeParameters sntrup761

### sntrup857

    public static final SNTRUPrimeParameters sntrup857

### sntrup953

    public static final SNTRUPrimeParameters sntrup953

### sntrup1013

    public static final SNTRUPrimeParameters sntrup1013

### sntrup1277

    public static final SNTRUPrimeParameters sntrup1277

Method Detail

### getName

    public java.lang.String getName()

### getP

    public int getP()

### getQ

    public int getQ()

### getW

    public int getW()

### getPublicKeyBytes

    public int getPublicKeyBytes()

### getPrivateKeyBytes

    public int getPrivateKeyBytes()

### getRqPolynomialBytes

    public int getRqPolynomialBytes()

### getRoundedPolynomialBytes

    public int getRoundedPolynomialBytes()

### getSessionKeySize

    public int getSessionKeySize()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD